Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.vocabulary
Class JosekiSchema

    java.lang.Object
      org.joseki.vocabulary.JosekiSchema

Direct Known Subclasses:
  JosekiVocab

public class JosekiSchema
extends java.lang.Object

Vocabulary definitions for Joseki configuration vocabulary.

Author:
  Auto-generated by schemagen on 01 Jul 2003

Field Summary
`static com.hp.hpl.jena.rdf.model.Property` | `alsoInclude` Other resources to read and merge (e.g. file:...)
`static com.hp.hpl.jena.rdf.model.Property` | `attachedModel` Required property
`static com.hp.hpl.jena.rdf.model.Resource` | `AttachedModel`
`static com.hp.hpl.jena.rdf.model.Property` | `className` code to load
`static com.hp.hpl.jena.rdf.model.Property` | `dbDriver` Driver name relational databases
`static com.hp.hpl.jena.rdf.model.Property` | `dbModelName` Model name a relational database model
`static com.hp.hpl.jena.rdf.model.Property` | `dbType` Type for a relational database
`static com.hp.hpl.jena.rdf.model.Property` | `hasOperation` Multi-instance property
`static com.hp.hpl.jena.rdf.model.Property` | `hasQueryOperation` Query language descriptionMulti-instance property
`static com.hp.hpl.jena.rdf.model.Property` | `isImmutable` Indicate whether this model changes
`static com.hp.hpl.jena.rdf.model.Property` | `josekiSchema`
`static com.hp.hpl.jena.rdf.model.Resource` | `JosekiServer` Required type
`static com.hp.hpl.jena.rdf.model.Resource` | `ModelDescription`
`static com.hp.hpl.jena.rdf.model.Property` | `modelSpec` Model spec to be used in creating the Jena model to back an attached model
`static com.hp.hpl.jena.rdf.model.Resource` | `NAMESPACE` The namespace of the vocabalary as a resource
`static com.hp.hpl.jena.rdf.model.Property` | `namespacePrefix` Defines an optional namespace prefix for this model.
`static java.lang.String` | `NS` The namespace of the vocabalary as a string ("http://joseki.org/2003/07/configuration#")
`static com.hp.hpl.jena.rdf.model.Property` | `nsURI` The namespace URI part of a namespace prefix
`static com.hp.hpl.jena.rdf.model.Property` | `ontDocumentManager` Optionally set the document manager for the ontology
`static com.hp.hpl.jena.rdf.model.Property` | `ontology` Optional specification of an OWL ontology to use with this data
`static com.hp.hpl.jena.rdf.model.Resource` | `opAdd`
`static com.hp.hpl.jena.rdf.model.Property` | `operation`
`static com.hp.hpl.jena.rdf.model.Resource` | `Operation`
`static com.hp.hpl.jena.rdf.model.Resource` | `OperationBinding`
`static com.hp.hpl.jena.rdf.model.Property` | `operationName` The name used identify the operationon this model
`static com.hp.hpl.jena.rdf.model.Resource` | `opLock`
`static com.hp.hpl.jena.rdf.model.Resource` | `opOptions`
`static com.hp.hpl.jena.rdf.model.Resource` | `opQueryModel`
`static com.hp.hpl.jena.rdf.model.Resource` | `opRemove`
`static com.hp.hpl.jena.rdf.model.Resource` | `opUnlock`
`static com.hp.hpl.jena.rdf.model.Resource` | `opUpdate`
`static com.hp.hpl.jena.rdf.model.Property` | `password` Password for relational database
`static com.hp.hpl.jena.rdf.model.Property` | `prefix` The namespace prefix part of a namespace prefix
`static com.hp.hpl.jena.rdf.model.Resource` | `queryGET`
`static com.hp.hpl.jena.rdf.model.Resource` | `QueryLanguage`
`static com.hp.hpl.jena.rdf.model.Resource` | `QueryLanguageBinding`
`static com.hp.hpl.jena.rdf.model.Property` | `queryOperation`
`static com.hp.hpl.jena.rdf.model.Resource` | `QueryOperation`
`static com.hp.hpl.jena.rdf.model.Resource` | `QueryOperationBinding`
`static com.hp.hpl.jena.rdf.model.Property` | `queryOperationName` The name used identify the operation on this model - can be a URI or a short name (string)
`static com.hp.hpl.jena.rdf.model.Resource` | `queryRDQL`
`static com.hp.hpl.jena.rdf.model.Property` | `queryScript` The query as a string
`static com.hp.hpl.jena.rdf.model.Property` | `requestQueryLanguage` The query language of this request
`static com.hp.hpl.jena.rdf.model.Property` | `serverDebug` Set server debugging mode
`static com.hp.hpl.jena.rdf.model.Property` | `serverPort` Port number (if not implicit through servlet)Not normally needed
`static com.hp.hpl.jena.rdf.model.Property` | `serverURI` URI of this server - Not normally needed
`static com.hp.hpl.jena.rdf.model.Property` | `sourceController` This model uses an adapter
`static com.hp.hpl.jena.rdf.model.Resource` | `SourceController` An adapter to an external model source
`static com.hp.hpl.jena.rdf.model.Property` | `useContentType` Set the MIME type for the protocol
`static com.hp.hpl.jena.rdf.model.Property` | `user` User ID for relational database
`static com.hp.hpl.jena.rdf.model.Property` | `vocabulary` Optional specification of an RDFS vocabulary to use with this data

Constructor Summary
`JosekiSchema()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabalary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabalary as a string ("http://joseki.org/2003/07/configuration#")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final com.hp.hpl.jena.rdf.model.Resource NAMESPACE

  The namespace of the vocabalary as a resource

### sourceController

    public static final com.hp.hpl.jena.rdf.model.Property sourceController

  This model uses an adapter

### alsoInclude

    public static final com.hp.hpl.jena.rdf.model.Property alsoInclude

  Other resources to read and merge (e.g. file:...)

### dbType

    public static final com.hp.hpl.jena.rdf.model.Property dbType

  Type for a relational database

### operationName

    public static final com.hp.hpl.jena.rdf.model.Property operationName

  The name used identify the operationon this model

### queryOperationName

    public static final com.hp.hpl.jena.rdf.model.Property queryOperationName

  The name used identify the operation on this model - can be a URI or a short name (string)

### nsURI

    public static final com.hp.hpl.jena.rdf.model.Property nsURI

  The namespace URI part of a namespace prefix

### hasOperation

    public static final com.hp.hpl.jena.rdf.model.Property hasOperation

  Multi-instance property

### dbDriver

    public static final com.hp.hpl.jena.rdf.model.Property dbDriver

  Driver name relational databases

### user

    public static final com.hp.hpl.jena.rdf.model.Property user

  User ID for relational database

### isImmutable

    public static final com.hp.hpl.jena.rdf.model.Property isImmutable

  Indicate whether this model changes

### dbModelName

    public static final com.hp.hpl.jena.rdf.model.Property dbModelName

  Model name a relational database model

### josekiSchema

    public static final com.hp.hpl.jena.rdf.model.Property josekiSchema

### modelSpec

    public static final com.hp.hpl.jena.rdf.model.Property modelSpec

  Model spec to be used in creating the Jena model to back an attached model

### className

    public static final com.hp.hpl.jena.rdf.model.Property className

  code to load

### attachedModel

    public static final com.hp.hpl.jena.rdf.model.Property attachedModel

  Required property

### requestQueryLanguage

    public static final com.hp.hpl.jena.rdf.model.Property requestQueryLanguage

  The query language of this request

### serverPort

    public static final com.hp.hpl.jena.rdf.model.Property serverPort

  Port number (if not implicit through servlet)Not normally needed

### ontology

    public static final com.hp.hpl.jena.rdf.model.Property ontology

  Optional specification of an OWL ontology to use with this data

### serverURI

    public static final com.hp.hpl.jena.rdf.model.Property serverURI

  URI of this server - Not normally needed

### password

    public static final com.hp.hpl.jena.rdf.model.Property password

  Password for relational database

### prefix

    public static final com.hp.hpl.jena.rdf.model.Property prefix

  The namespace prefix part of a namespace prefix

### vocabulary

    public static final com.hp.hpl.jena.rdf.model.Property vocabulary

  Optional specification of an RDFS vocabulary to use with this data

### namespacePrefix

    public static final com.hp.hpl.jena.rdf.model.Property namespacePrefix

  Defines an optional namespace prefix for this model.

### operation

    public static final com.hp.hpl.jena.rdf.model.Property operation

### queryScript

    public static final com.hp.hpl.jena.rdf.model.Property queryScript

  The query as a string

### serverDebug

    public static final com.hp.hpl.jena.rdf.model.Property serverDebug

  Set server debugging mode

### ontDocumentManager

    public static final com.hp.hpl.jena.rdf.model.Property ontDocumentManager

  Optionally set the document manager for the ontology

### queryOperation

    public static final com.hp.hpl.jena.rdf.model.Property queryOperation

### hasQueryOperation

    public static final com.hp.hpl.jena.rdf.model.Property hasQueryOperation

  Query language descriptionMulti-instance property

### useContentType

    public static final com.hp.hpl.jena.rdf.model.Property useContentType

  Set the MIME type for the protocol

### QueryLanguage

    public static final com.hp.hpl.jena.rdf.model.Resource QueryLanguage

### QueryLanguageBinding

    public static final com.hp.hpl.jena.rdf.model.Resource QueryLanguageBinding

### Operation

    public static final com.hp.hpl.jena.rdf.model.Resource Operation

### QueryOperation

    public static final com.hp.hpl.jena.rdf.model.Resource QueryOperation

### OperationBinding

    public static final com.hp.hpl.jena.rdf.model.Resource OperationBinding

### AttachedModel

    public static final com.hp.hpl.jena.rdf.model.Resource AttachedModel

### SourceController

    public static final com.hp.hpl.jena.rdf.model.Resource SourceController

  An adapter to an external model source

### JosekiServer

    public static final com.hp.hpl.jena.rdf.model.Resource JosekiServer

  Required type

### ModelDescription

    public static final com.hp.hpl.jena.rdf.model.Resource ModelDescription

### QueryOperationBinding

    public static final com.hp.hpl.jena.rdf.model.Resource QueryOperationBinding

### opQueryModel

    public static final com.hp.hpl.jena.rdf.model.Resource opQueryModel

### opUpdate

    public static final com.hp.hpl.jena.rdf.model.Resource opUpdate

### opUnlock

    public static final com.hp.hpl.jena.rdf.model.Resource opUnlock

### opRemove

    public static final com.hp.hpl.jena.rdf.model.Resource opRemove

### queryRDQL

    public static final com.hp.hpl.jena.rdf.model.Resource queryRDQL

### opLock

    public static final com.hp.hpl.jena.rdf.model.Resource opLock

### opAdd

    public static final com.hp.hpl.jena.rdf.model.Resource opAdd

### opOptions

    public static final com.hp.hpl.jena.rdf.model.Resource opOptions

### queryGET

    public static final com.hp.hpl.jena.rdf.model.Resource queryGET

Constructor Detail

### JosekiSchema

    public JosekiSchema()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabalary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.